Subject: Re: bug#50865: 28.0.50; Emoji with emoji modifier in Linux console garbles emacs display

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Sep 2022 14:08:42 +0200

Eli Zaretskii <[email-masked]> writes:

>> I looked at the Linux kernel sources, and found from drivers/tty/vt/vt.c a
>> table of characters which will be automatically padded with space when writing
>> the glyph to the console. It recognizes two-column characters from Unicode
>> 5.0.
>
> And does Emacs work correctly as long as you restrict yourself only to
> those double-width characters? or are there still problems?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I only lightly skimmed this thread, but there's been some work done in
this area (displaying non-displayble characters on the console) over the
last week, and I wonder whether that's fixed this issue, too?